# Uses of Class
com.google.protobuf.Method

Packages that use Method
Package
Description
com.google.protobuf

## Uses of Method in com.google.protobuf

Methods in com.google.protobuf that return Method
Modifier and Type
Method
Description
`Method`
Method.Builder.`build()`
`Method`
Method.Builder.`buildPartial()`
`static Method`
Method.`getDefaultInstance()`
`Method`
Method.Builder.`getDefaultInstanceForType()`
`Method`
Method.`getDefaultInstanceForType()`
`Method`
Api.Builder.`getMethods(int index)`
`repeated .google.protobuf.Method methods = 2 [json_name = "methods"];`
`Method`
Api.`getMethods(int index)`
`repeated .google.protobuf.Method methods = 2 [json_name = "methods"];`
`Method`
ApiOrBuilder.`getMethods(int index)`
`repeated .google.protobuf.Method methods = 2 [json_name = "methods"];`
`static Method`
Method.`parseDelimitedFrom(InputStream input)`
`static Method`
Method.`parseDelimitedFrom(InputStream input, ExtensionRegistryLite extensionRegistry)`
`static Method`
Method.`parseFrom(byte[] data)`
`static Method`
Method.`parseFrom(byte[] data, ExtensionRegistryLite extensionRegistry)`
`static Method`
Method.`parseFrom(ByteString data)`
`static Method`
Method.`parseFrom(ByteString data, ExtensionRegistryLite extensionRegistry)`
`static Method`
Method.`parseFrom(CodedInputStream input)`
`static Method`
Method.`parseFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry)`
`static Method`
Method.`parseFrom(InputStream input)`
`static Method`
Method.`parseFrom(InputStream input, ExtensionRegistryLite extensionRegistry)`
`static Method`
Method.`parseFrom(ByteBuffer data)`
`static Method`
Method.`parseFrom(ByteBuffer data, ExtensionRegistryLite extensionRegistry)`
Methods in com.google.protobuf that return types with arguments of type Method
Modifier and Type
Method
Description
`List<Method>`
Api.Builder.`getMethodsList()`
`repeated .google.protobuf.Method methods = 2 [json_name = "methods"];`
`List<Method>`
Api.`getMethodsList()`
`repeated .google.protobuf.Method methods = 2 [json_name = "methods"];`
`List<Method>`
ApiOrBuilder.`getMethodsList()`
`repeated .google.protobuf.Method methods = 2 [json_name = "methods"];`
`Parser<Method>`
Method.`getParserForType()`
`static Parser<Method>`
Method.`parser()`
Methods in com.google.protobuf with parameters of type Method
Modifier and Type
Method
Description
`Api.Builder`
Api.Builder.`addMethods(int index, Method value)`
`repeated .google.protobuf.Method methods = 2 [json_name = "methods"];`
`Api.Builder`
Api.Builder.`addMethods(Method value)`
`repeated .google.protobuf.Method methods = 2 [json_name = "methods"];`
`Method.Builder`
Method.Builder.`mergeFrom(Method other)`
`static Method.Builder`
Method.`newBuilder(Method prototype)`
`Api.Builder`
Api.Builder.`setMethods(int index, Method value)`
`repeated .google.protobuf.Method methods = 2 [json_name = "methods"];`
Method parameters in com.google.protobuf with type arguments of type Method
Modifier and Type
Method
Description
`Api.Builder`
Api.Builder.`addAllMethods(Iterable<? extends Method> values)`
`repeated .google.protobuf.Method methods = 2 [json_name = "methods"];`